﻿using IRaCIS.Core.Domain.Models;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System.Reflection.Emit;


namespace IRaCIS.Core.Infra.EFCore.EntityConfigration
{
    public class NoneDicomStudyConfigration : IEntityTypeConfiguration<NoneDicomStudy>
    {


        public void Configure(EntityTypeBuilder<NoneDicomStudy> builder)
        {

            builder.HasMany(t => t.NoneDicomFileList).WithOne(s => s.NoneDicomStudy).HasForeignKey(t => t.NoneDicomStudyId);
            builder.HasMany(t => t.TaskNoneDicomFileList).WithOne(s => s.OriginNoneDicomStudy).HasForeignKey(t => t.OriginNoneDicomStudyId);
        }
    }
}
