

using System;
using IRaCIS.Core.Domain.Share;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
namespace IRaCIS.Core.Domain.Models
{
	 ///<summary>
	 ///阅片裁判信息
	 ///</summary>
	 [Table("ReadingJudgeInfo")]	
	 public class ReadingJudgeInfo : BaseAddAuditEntity
    {
        #region 导航属性

        #endregion
        /// <summary>
        /// 第一个任务ID
        /// </summary>
        [Required]
		public Guid TaskIdOne { get; set; }
	
		/// <summary>
        /// 第二个任务ID
        /// </summary>
		[Required]
		public Guid TaskIdTwo { get; set; }
	
		/// <summary>
        /// 裁判任务ID
        /// </summary>
		[Required]
		public Guid JudgeTaskId { get; set; }
	


		public Guid TrialId { get; set; }


		public Guid SubjectId { get; set; }

	}

	
}	 
